petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDACreateNaturalVector

Creates a parallel PETSc vector that will hold vector values in the natural numbering, rather than in the PETSc parallel numbering associated with the DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDACreateNaturalVector(DM da,Vec *g)

Collective on DMDA Many br

### Input Parameter

da -the distributed array Many br

### Output Parameter

g -the distributed global vector Many br

Many br

### Note

The output parameter, g, is a regular PETSc vector that should be destroyed Many brwith a call to VecDestroy() when usage is finished. Many br

The number of local entries in the vector on each process is the same Many bras in a vector created with DMCreateGlobalVector(). Many br

### Keywords

distributed array, create, global, distributed, vector

### See Also

DMCreateLocalVector(), VecDuplicate(), VecDuplicateVecs(),
DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMGlobalToLocalBegin(), Many brDMGlobalToLocalEnd(), DMDALocalToGlobalBegin() Many br

Level:developer
Location:src/dm/impls/da/dadist.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages